API ReferenceIPs
List IPs
The dedicated ISP and datacenter IPs on your plans.
GET
https://api.riftip.com/v1/ips#Query parameters
| Parameter | Type | Description |
|---|---|---|
network | string | isp or datacenter. Both by default. |
country | string | Two-letter country code. |
limit | integer | 1–100. Default 25. |
starting_after | string | Pagination cursor. |
#Request
curl "https://api.riftip.com/v1/ips?network=isp&country=us" \
-H "Authorization: Bearer $RIFTIP_API_KEY"const res = await fetch("https://api.riftip.com/v1/ips?network=isp&country=us", {
headers: { Authorization: `Bearer ${process.env.RIFTIP_API_KEY}` },
});
const { data } = await res.json();ips = requests.get(
"https://api.riftip.com/v1/ips",
params={"network": "isp", "country": "us"},
headers={"Authorization": f"Bearer {API_KEY}"},
).json()["data"]#Response
JSON
{
"data": [
{
"ip": "203.0.113.24",
"network": "isp",
"country": "US",
"city": "Ashburn",
"asn": 7922,
"expires_at": "2026-11-07T00:00:00Z"
},
{
"ip": "203.0.113.57",
"network": "isp",
"country": "US",
"city": "Dallas",
"asn": 7018,
"expires_at": "2026-11-07T00:00:00Z"
}
],
"has_more": false,
"next_cursor": null
}